Loading...
Searching...
No Matches
dolfin::GoalFunctional Class Referenceabstract

`#include <GoalFunctional.h>`

Inheritance diagram for dolfin::GoalFunctional:
[legend]
Collaboration diagram for dolfin::GoalFunctional:
[legend]

## Public Member Functions

| GoalFunctional (std::size_t rank, std::size_t num_coefficients)
virtual void | update_ec (const Form &a, const Form &L)=0
Public Member Functions inherited from dolfin::Form
| Form (std::size_t rank, std::size_t num_coefficients)
| Form (std::shared_ptr< const ufc::form > ufc_form, std::vector< std::shared_ptr< const FunctionSpace > > function_spaces)
virtual | ~Form ()
| Destructor.
std::size_t | rank () const
std::size_t | num_coefficients () const
std::size_t | original_coefficient_position (std::size_t i) const
std::vector< std::size_t > | coloring (std::size_t entity_dim) const
void | set_mesh (std::shared_ptr< const Mesh > mesh)
std::shared_ptr< const Mesh > | mesh () const
std::shared_ptr< const FunctionSpace > | function_space (std::size_t i) const
std::vector< std::shared_ptr< const FunctionSpace > > | function_spaces () const
void | set_coefficient (std::size_t i, std::shared_ptr< const GenericFunction > coefficient)
void | set_coefficient (std::string name, std::shared_ptr< const GenericFunction > coefficient)
void | set_coefficients (std::map< std::string, std::shared_ptr< const GenericFunction > > coefficients)
void | set_some_coefficients (std::map< std::string, std::shared_ptr< const GenericFunction > > coefficients)
std::shared_ptr< const GenericFunction > | coefficient (std::size_t i) const
std::shared_ptr< const GenericFunction > | coefficient (std::string name) const
std::vector< std::shared_ptr< const GenericFunction > > | coefficients () const
virtual std::size_t | coefficient_number (const std::string &name) const
virtual std::string | coefficient_name (std::size_t i) const
std::shared_ptr< const MeshFunction< std::size_t > > | cell_domains () const
std::shared_ptr< const MeshFunction< std::size_t > > | exterior_facet_domains () const
std::shared_ptr< const MeshFunction< std::size_t > > | interior_facet_domains () const
std::shared_ptr< const MeshFunction< std::size_t > > | vertex_domains () const
void | set_cell_domains (std::shared_ptr< const MeshFunction< std::size_t > > cell_domains)
void | set_exterior_facet_domains (std::shared_ptr< const MeshFunction< std::size_t > > exterior_facet_domains)
void | set_interior_facet_domains (std::shared_ptr< const MeshFunction< std::size_t > > interior_facet_domains)
void | set_vertex_domains (std::shared_ptr< const MeshFunction< std::size_t > > vertex_domains)
std::shared_ptr< const ufc::form > | ufc_form () const
void | check () const
| Check function spaces and coefficients.
Equation | operator== (const Form &rhs) const
| Comparison operator, returning equation lhs == rhs.
Equation | operator== (int rhs) const
| Comparison operator, returning equation lhs == 0.
Public Member Functions inherited from dolfin::Hierarchical< Form >
| Hierarchical (Form &self)
| Constructor.
virtual | ~Hierarchical ()
| Destructor.
std::size_t | depth () const
bool | has_parent () const
bool | has_child () const
Form & | parent ()
std::shared_ptr< Form > | parent_shared_ptr ()
Form & | child ()
std::shared_ptr< Form > | child_shared_ptr ()
Form & | root_node ()
std::shared_ptr< Form > | root_node_shared_ptr ()
Form & | leaf_node ()
std::shared_ptr< Form > | leaf_node_shared_ptr ()
void | set_parent (std::shared_ptr< Form > parent)
| Set parent.
void | clear_child ()
| Clear child.
void | set_child (std::shared_ptr< Form > child)
| Set child.
const Hierarchical & | operator= (const Hierarchical &hierarchical)
| Assignment operator.
void | _debug () const
| Function useful for debugging the hierarchy.

## Public Attributes

std::shared_ptr< ErrorControl > | _ec
Public Attributes inherited from dolfin::Form
std::shared_ptr< const MeshFunction< std::size_t > > | dx
| Domain markers for cells.
std::shared_ptr< const MeshFunction< std::size_t > > | ds
| Domain markers for exterior facets.
std::shared_ptr< const MeshFunction< std::size_t > > | dS
| Domain markers for interior facets.
std::shared_ptr< const MeshFunction< std::size_t > > | dP
| Domain markers for vertices.

## Additional Inherited Members

Protected Attributes inherited from dolfin::Form
std::shared_ptr< const ufc::form > | _ufc_form
std::vector< std::shared_ptr< const FunctionSpace > > | _function_spaces
std::vector< std::shared_ptr< const GenericFunction > > | _coefficients
std::shared_ptr< const Mesh > | _mesh

## Detailed Description

A GoalFunctional is a Form of rank 0 with an associated ErrorControl.

## Constructor & Destructor Documentation

## GoalFunctional()

GoalFunctional::GoalFunctional | ( | std::size_t | rank,
|  | std::size_t | num_coefficients )

Create GoalFunctional

Arguments rank (int) the rank of the functional (should be 0) num_coefficients (int) the number of coefficients in functional

## Member Function Documentation

## update_ec()

virtual void dolfin::GoalFunctional::update_ec | ( | const Form & | a,
|  | const Form & | L )

pure virtual

Update error control instance with given forms

Arguments a (Form) a bilinear form L (Form) a linear form

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/adaptivity/GoalFunctional.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/adaptivity/GoalFunctional.cpp